![img](https://vidaoo.xcally.com/assets/img/logo3.png)

# vidaoo-browser

A Typescript library that simplifies vidaoo browser session handling.

## Features

Vidaoo's video sessions are based on native WebRTC and allows the integration with any technology capable of using this protocol.

vidaoo-browser is a Typescript library that greatly simplifies the management of Vidaoo sessions in the browser and allows the integration with Vidaoo backend hiding the native WebRTC complexity.

## Documentation

The library documentation is available [here](http://js-sdk.vidaoo.com/docs/index.html).

## Prerequisites

A basic understanding of how [RxJS's Subject](https://rxjs-dev.firebaseapp.com/guide/subject) works is needed.

Knowledge about retrieving devices' Ids using [browser API](https://developer.mozilla.org/en-US/docs/Web/API/MediaDevices/enumerateDevices) is needed if you want to use non-default devices or you want to change them during the session.

## Installation

Using NPM:

```
npm install vidaoo-browser
```

## Basic usage

Import required packages:

```typescript
import { Subscription } from 'rxjs';
import * as Vidaoo from 'vidaoo-browser';
```

Joining a meeting:

```typescript
// Create the Session
const session = new Vidaoo.Session();

// Subscribe to events emmited by Session
const sessionSubscription = session.emitter.subscribe((data: Vidaoo.ISessionEmittedData) => {
    // Handle data coming from Session
    // A list of all data types coming from Session is available in the documentation
});

// Join the meeting
session.joinMeeting({
	meetingId: meetingId,   // mettingId obtained from Vidaoo API
  webSocketUrl: 'https://vidaoo-url.com/meetings'   // Vidaoo base url + '/meetings'
});
```

After leaving a meeting:

```typescript
sessionSubscription.unsubscribe();
session.dispose();
```

