import { Channel } from "./Channel";
import { IInitialSetup } from "./interfaces/IPublisherInterfaces";
import { LoggerLevel } from "./Logger";
export declare class CameraPublisher extends Channel {
    private readonly PREFERRED_VIDEO_HEIGHT;
    private readonly PREFERRED_VIDEO_WIDTH;
    private _backgroundEngine;
    private _backgroundEmitterSubscription;
    private _volumeDetector;
    private _volumeDetectorSubscription;
    get isAudioMuted(): boolean;
    get isVideoHidden(): boolean;
    constructor(id: string, loggerLevel: LoggerLevel);
    private onNegotiationNeeded;
    private initializeBackgroundEngine;
    private onBlurStarted;
    private onBlurStopped;
    private onMaskStarted;
    private onMaskStopped;
    dispose(): Promise<void>;
    init(createAudioTrack: boolean, createVideoTrack: boolean, setup: IInitialSetup): Promise<void>;
    private applyBackgroundFilter;
    private addTransceiversToRTCPeerConnection;
    private getCameraStream;
    replaceAudioDevice(newDeviceId: string): Promise<void>;
    replaceVideoDevice(newDeviceId: string): Promise<void>;
    private replaceCameraVideoTrack;
    private replaceRTCPeerConnectionVideoTrack;
    toggleAudio(): void;
    toggleVideo(): void;
    applyBlur(): void;
    removeBlur(): void;
    applyMask(imageUrl: string, metadata: any): void;
    removeMask(): void;
}
