import { Subject } from "rxjs";
import { EmittedData } from "./interfaces/IChannelInterfaces";
import { Logger, LoggerLevel } from "./Logger";
export declare abstract class Channel {
    private _id;
    private _emitter;
    protected conn: RTCPeerConnection;
    protected logger: Logger;
    protected mediaStream: MediaStream;
    get id(): string;
    get emitter(): Subject<EmittedData>;
    get stream(): MediaStream;
    constructor(id: string, loggerLevel: LoggerLevel);
    protected createOffer(): Promise<string>;
    dispose(): Promise<void>;
    private onConnectionStateChange;
    private onIceCandidate;
    processIceCandidate(candidate: RTCIceCandidateInit): Promise<void>;
    processAnswer(sdpAnswer: any): Promise<void>;
}
