import { Subject } from "rxjs";
import { EmittedData, IConfig } from "./interfaces/IMeInterfaces";
import { IInitialSetup } from './interfaces/IPublisherInterfaces';
export declare class Me {
    private _publishers;
    private _publishersSubscriptions;
    private _emitter;
    private _id;
    private _logger;
    private _nickname;
    get emitter(): Subject<EmittedData>;
    get id(): string;
    get nickname(): string;
    constructor(config: IConfig);
    addCameraPublisher(createAudioTrack: boolean, createVideoTrack: boolean, initialSetup: IInitialSetup): Promise<void>;
    addScreenPublisher(): Promise<void>;
    private addAndSubscribePublisher;
    private onPublisherDataEmitted;
    private onAudioMutedChanged;
    private onBlurStarted;
    private onBlurStopped;
    private onMaskStarted;
    private onMaskStopped;
    private onNewIceCandidate;
    private onVideoHiddenChanged;
    private onVolume;
    private onCameraPublisherOffer;
    private onScreenPublisherOffer;
    private onScreensharingStopped;
    processAnswer(publisherId: string, answer: string): void;
    processIceCandidate(publisherId: string, candidate: RTCIceCandidateInit): void;
    private stopScreensharing;
    applyBlur(): void;
    removeBlur(): void;
    applyMask(imageUrl: string, metadata: any): void;
    removeMask(): void;
    dispose(): void;
    replaceAudioTrack(publisherId: string, deviceId: string): Promise<void>;
    replaceVideoTrack(publisherId: string, deviceId: string): Promise<void>;
    toggleAudio(publisherId: string): void;
    toggleScreensharing(): Promise<void>;
    toggleVideo(publisherId: string): void;
}
