import { Subject } from "rxjs";
import { EmittedData, IConfig } from "./interfaces/IParticipantInterfaces";
export declare class Participant {
    private _subscribers;
    private _subscribersSubscriptions;
    private _emitter;
    private _id;
    private _logger;
    private _nickname;
    get emitter(): Subject<EmittedData>;
    get id(): string;
    get nickname(): string;
    constructor(config: IConfig);
    addCameraSubscriber(id: string, receiveAudio: boolean, receiveVideo: boolean, isAudioMuted: boolean, isVideoHidden: boolean): Promise<void>;
    addScreenSubscriber(id: string): Promise<void>;
    private addAndSubscribeSubscriber;
    dispose(): void;
    private onSubscriberDataEmitted;
    private onNewIceCandidate;
    private onOffer;
    private onVolume;
    processAnswer(subscriberId: string, answer: string): void;
    processIceCandidate(subscriberId: string, candidate: RTCIceCandidateInit): void;
    removeSubscriber(id: string): void;
}
