"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Subscriber = void 0;
const Channel_1 = require("./Channel");
const IChannelInterfaces_1 = require("./interfaces/IChannelInterfaces");
class Subscriber extends Channel_1.Channel {
    constructor(id, loggerLevel) {
        super(id, loggerLevel);
        // Handle new remote track
        this.conn.ontrack = (event) => __awaiter(this, void 0, void 0, function* () { return yield this.onTrack(event); });
    }
    createAndEmitOffer() {
        return __awaiter(this, void 0, void 0, function* () {
            const offer = yield this.createOffer();
            // Emit the generated SDP offer
            this.emitter.next({
                type: IChannelInterfaces_1.EmittedDataType.SubscriberOffer,
                data: {
                    id: this.id,
                    offer: offer,
                }
            });
        });
    }
    onTrack(event) {
        return __awaiter(this, void 0, void 0, function* () {
            this.logger.debug('Track received from remote peer: ', event);
            this.mediaStream.addTrack(event.track);
        });
    }
}
exports.Subscriber = Subscriber;
