import '@tensorflow/tfjs-backend-webgl';
import { Observable } from 'rxjs';
import { IBackgroundEvent, IBackgroundEngine } from "./interfaces/IBackgroundEngine";
export declare class BackgroundEngine implements IBackgroundEngine {
    private _emitter;
    private _blurFilter;
    private _blurFilterSubscription;
    private _isActionPending;
    private _maskFilter;
    private _maskFilterSubscription;
    get emitter(): Observable<IBackgroundEvent>;
    constructor(stream: MediaStream);
    private initializeFilters;
    private onFilterEvent;
    dispose(): void;
    private removeActiveFilters;
    applyBlur(): void;
    removeBlur(): void;
    applyMask(imageUrl: string, metadata: any): void;
    removeMask(): void;
}
