import { Observable } from "rxjs";
import { IBackgroundEvent } from "../interfaces/IBackgroundEngine";
import { IBlurFilter } from "../interfaces/IBlurFilter";
export declare class BlurFilter implements IBlurFilter {
    private readonly SEGMENTATION_THRESHOLD;
    private readonly INTERNAL_RESOLUTION;
    private _animationFrameId;
    private _emitter;
    private _frameHeight;
    private _frameWidth;
    private _isActive;
    private _net;
    private _originalVideoElement;
    private _originalVideoStream;
    private _outputCanvasElement;
    private _stream;
    get emitter(): Observable<IBackgroundEvent>;
    get isActive(): boolean;
    constructor(stream: MediaStream);
    applyBlur(): void;
    private initializeElements;
    private blurTrack;
    private replaceCameraTrackWithCanvasTrack;
    removeBlur(): void;
    private restoreCameraStream;
}
