import { Observable } from "rxjs";
import { IBackgroundEvent } from "../interfaces/IBackgroundEngine";
import { IMaskFilter } from "../interfaces/IMaskFilter";
export declare class MaskFilter implements IMaskFilter {
    private readonly SEGMENTATION_THRESHOLD;
    private readonly INTERNAL_RESOLUTION;
    private _animationFrameId;
    private _backgroundImage;
    private _backgroundImageData;
    private _emitter;
    private _isActive;
    private _frameHeight;
    private _frameWidth;
    private _metadata;
    private _net;
    private _originalVideoElement;
    private _originalVideoStream;
    private _outputCanvasElement;
    private _stream;
    get emitter(): Observable<IBackgroundEvent>;
    get isActive(): boolean;
    constructor(stream: MediaStream);
    applyMask(imageUrl: string, metadata: any): void;
    private initializeElements;
    private onBackgroundImageLoad;
    private maskTrack;
    private replaceCameraTrackWithCanvasTrack;
    removeMask(): void;
    private restoreCameraStream;
}
