import { Observable } from "rxjs";
declare enum BackgroundEventType {
    BlurStarted = 0,
    BlurStopped = 1,
    MaskStarted = 2,
    MaskStopped = 3
}
interface IBackgroundEvent {
    type: BackgroundEventType;
    data?: any;
}
interface IBackgroundEngine {
    emitter: Observable<IBackgroundEvent>;
    dispose(): void;
    applyBlur(): void;
    removeBlur(): void;
    applyMask(imageUrl: string, metadata: any): void;
    removeMask(): void;
}
export { BackgroundEventType, IBackgroundEvent, IBackgroundEngine };
