"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorCode = void 0;
/**
 * The code of the error received from the websocket.
 */
var ErrorCode;
(function (ErrorCode) {
    /**
     * This code indicates an incorrect offer sent with publish socket message.\
     * This error is caused by a mismatch between the {@link IWelcome.capabilities | capabilities} specified in the offer and those compatible with the meeting.
     */
    ErrorCode["Publish"] = "ERROR_PUBLISH";
    /**
     * This code indicates an incorrect offer sent with subscribe socket message.\
     * This error is caused by a mismatch between the {@link IWelcome.capabilities | capabilities} specified in the offer and those compatible with the meeting
     * or those of the specific stream you are subscribing to.
     */
    ErrorCode["Subscribe"] = "ERROR_SUBSCRIBE";
    /**
     * This code indicates an error during the file upload process.
     */
    ErrorCode["UploadFile"] = "ERROR_UPLOAD";
})(ErrorCode = exports.ErrorCode || (exports.ErrorCode = {}));
