/**
 * A set of codes that identify the reason why the meeting ended.
 */
export declare enum Reason {
    /**
     * The meeting was closed by a user.
     */
    ClosedByUser = "CLOSED_BY_USER",
    /**
     * License is expired.
     */
    LicenseExpired = "LICENSE_EXPIRED",
    /**
     * The maximum number of concurrent sessions has been exceeded.
     */
    MaxSessionsExceeded = "MAX_SESSIONS_EXCEEDED",
    /**
     * There was a problem with the media server.
     */
    MediaServerConnectionError = "KMS_CONNECTION_ERROR"
}
