"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Reason = void 0;
/**
 * A set of codes that identify the reason why the meeting ended.
 */
var Reason;
(function (Reason) {
    /**
     * The meeting was closed by a user.
     */
    Reason["ClosedByUser"] = "CLOSED_BY_USER";
    /**
     * License is expired.
     */
    Reason["LicenseExpired"] = "LICENSE_EXPIRED";
    /**
     * The maximum number of concurrent sessions has been exceeded.
     */
    Reason["MaxSessionsExceeded"] = "MAX_SESSIONS_EXCEEDED";
    /**
     * There was a problem with the media server.
     */
    Reason["MediaServerConnectionError"] = "KMS_CONNECTION_ERROR";
})(Reason = exports.Reason || (exports.Reason = {}));
