export declare enum EmittedDataType {
    AudioMutedChanged = 0,
    BlurStarted = 1,
    BlurStopped = 2,
    MaskStarted = 3,
    MaskStopped = 4,
    NewIceCandidate = 5,
    CameraPublisherOffer = 6,
    ScreenPublisherOffer = 7,
    ScreenSharingStopped = 8,
    SubscriberOffer = 9,
    VideoHiddenChanged = 10,
    Volume = 11
}
export interface IAudioMutedChangedParams {
    publisherId: string;
    muted: boolean;
}
export interface IBlurStartedParams {
    publisherId: string;
}
export interface IBlurStoppedParams {
    publisherId: string;
}
export interface IMaskStartedParams {
    publisherId: string;
    metadata: any;
}
export interface IMaskStoppedParams {
    publisherId: string;
}
export interface INewIceCandidateParams {
    candidate: RTCIceCandidateInit;
    channelId: string;
}
export interface ISubscriberOfferParams {
    id: string;
    offer: string;
}
export interface ICameraPublisherOfferParams {
    id: string;
    isAudioMuted: boolean;
    isVideoHidden: boolean;
    offer: string;
}
export interface IScreenPublisherOfferParams {
    id: string;
    offer: string;
}
export interface IScreensharingStoppedParams {
    publisherId: string;
}
export interface IVideoHiddenChangedParams {
    publisherId: string;
    hidden: boolean;
}
export interface IVolumeParams {
    channelId: string;
    volume: number;
}
export interface EmittedData {
    type: EmittedDataType;
    data: IAudioMutedChangedParams | IBlurStartedParams | IBlurStoppedParams | IMaskStartedParams | IMaskStoppedParams | INewIceCandidateParams | ISubscriberOfferParams | ICameraPublisherOfferParams | IScreenPublisherOfferParams | IScreensharingStoppedParams | IVideoHiddenChangedParams | IVolumeParams;
}
