import { Subscription } from "rxjs";
import { LoggerLevel } from "../Logger";
export interface IConfig {
    id: string;
    loggerLevel: LoggerLevel;
    nickname: string;
}
export declare enum EmittedDataType {
    AudioMutedChanged = 0,
    BlurStarted = 1,
    BlurStopped = 2,
    MaskStarted = 3,
    MaskStopped = 4,
    NewIceCandidate = 5,
    NewCameraPublisher = 6,
    NewScreenPublisher = 7,
    CameraPublisherOffer = 8,
    ScreenPublisherOffer = 9,
    RemovePublisher = 10,
    VideoHiddenChanged = 11,
    Volume = 12
}
export interface IConfig {
    id: string;
    loggerLevel: LoggerLevel;
    nickname: string;
}
export interface IPublisherSubscription {
    publisherId: string;
    subscription: Subscription;
}
export interface IAudioMutedChangedParams {
    publisherId: string;
    muted: boolean;
}
export interface IBlurStartedParams {
    publisherId: string;
}
export interface IBlurStoppedParams {
    publisherId: string;
}
export interface IMaskStartedParams {
    publisherId: string;
    metadata: any;
}
export interface IMaskStoppedParams {
    publisherId: string;
}
export interface INewIceCandidateParams {
    candidate: RTCIceCandidateInit;
    publisherId: string;
    participantId: string;
}
export interface INewCameraPublisherParams {
    id: string;
    isAudioMuted: boolean;
    participantId: string;
    stream: MediaStream;
    isVideoHidden: boolean;
}
export interface INewScreenPublisherParams {
    id: string;
    participantId: string;
    stream: MediaStream;
}
export interface ICameraPublisherOfferParams {
    id: string;
    isAudioMuted: boolean;
    isVideoHidden: boolean;
    offer: string;
}
export interface IScreenPublisherOfferParams {
    id: string;
    offer: string;
}
export interface IRemovePublisherParams {
    id: string;
}
export interface IVideoHiddenChangedParams {
    publisherId: string;
    hidden: boolean;
}
export interface IVolumeParams {
    publisherId: string;
    volume: number;
}
export interface EmittedData {
    data: IAudioMutedChangedParams | IBlurStartedParams | IBlurStoppedParams | IMaskStartedParams | IMaskStoppedParams | INewIceCandidateParams | INewCameraPublisherParams | INewScreenPublisherParams | ICameraPublisherOfferParams | IScreenPublisherOfferParams | IRemovePublisherParams | IVideoHiddenChangedParams | IVolumeParams;
    type: EmittedDataType;
}
