import { Subscription } from "rxjs";
import { LoggerLevel } from "../Logger";
export declare enum EmittedDataType {
    NewIceCandidate = 0,
    NewCameraSubscriber = 1,
    NewScreenSubscriber = 2,
    SubscriberOffer = 3,
    Volume = 4
}
export interface IConfig {
    id: string;
    loggerLevel: LoggerLevel;
    nickname: string;
}
export interface ISubscriberSubscription {
    subscriberId: string;
    subscription: Subscription;
}
export interface INewIceCandidateParams {
    candidate: RTCIceCandidateInit;
    subscriberId: string;
    participantId: string;
}
export interface INewCameraSubscriberParams {
    id: string;
    participantId: string;
    stream: MediaStream;
    isAudioMuted: boolean;
    isVideoHidden: boolean;
}
export interface INewScreenSubscriberParams {
    id: string;
    participantId: string;
    stream: MediaStream;
}
export interface ISubscriberOffer {
    id: string;
    offer: string;
    participantId: string;
}
export interface IVolumeParams {
    participantId: string;
    subscriberId: string;
    volume: number;
}
export interface EmittedData {
    data: INewIceCandidateParams | INewCameraSubscriberParams | INewScreenSubscriberParams | ISubscriberOffer | IVolumeParams;
    type: EmittedDataType;
}
