declare enum BackgroundFilterType {
    Blur = "blur",
    Mask = "mask"
}
interface IBackgroundFilter {
    type: BackgroundFilterType;
    imageUrl?: string;
    metadata?: any;
}
/**
 * Initial publisher configuration data when joining the meeting.
 */
interface IInitialSetup {
    /**
       * The Id of the audio device (microphone) to use when joining the meeting.\
       * \
       * See also: [MediaDeviceInfo](https://developer.mozilla.org/en-US/docs/Web/API/MediaDeviceInfo)
     */
    audioDeviceId?: string;
    /**
       * Specifies whether to join the meeting with the microphone muted.
     */
    muteAudio?: boolean;
    /**
     * The Id of the audio device (microphone) to use when joining the meeting.\
     * \
     * See also: [MediaDeviceInfo](https://developer.mozilla.org/en-US/docs/Web/API/MediaDeviceInfo)
     */
    videoDeviceId?: string;
    /**
     * Specifies whether to join the meeting with the camera disabled.
     */
    hideVideo?: boolean;
    /**
     * Specifies whether to join the meeting with the camera disabled.
     */
    backgroundFilter?: IBackgroundFilter;
}
export { BackgroundFilterType, IBackgroundFilter, IInitialSetup };
