import { Channel } from '../src/Channel';
import { Logger, LoggerLevel } from '../src/Logger';
import { IConfig } from '../src/interfaces/IChannelInterfaces';
import RTCPeerConnection from './mocks/RTCPeerConnection';
jest.mock('../src/Logger');
jest.mock('./mocks/RTCPeerConnection');

class ConcreteChannel extends Channel {
  constructor(config: IConfig) {
    super(config);
  }
}

describe('Channel', () => {
  let channel: ConcreteChannel;

  beforeEach(() => {
    
    channel = new ConcreteChannel({
      id: '123',
      loggerLevel: LoggerLevel.Info
    });
  });

  it('We can check if the consumer called the class constructor', () => {
    expect(Logger).toHaveBeenCalledTimes(1);
  });

  it('should return id', () => {
    const id = channel.id;
    expect(id).toBe('123');
  });
});