const webpack = require('webpack');
const TerserPlugin = require('terser-webpack-plugin');
const path = require('path');
const package = require('./package.json');
const version = package.version;

const banner = 'vidaoo-browser v' + version + ' | https://www.npmjs.com/package/vidaoo-browser | Date: ' + new Date().toISOString();

module.exports = {
    entry: "./src/index.ts",
    output: {
        filename: 'vidaoo-browser-' + version.replace(/\./g, '-') + '.min.js',
        path: path.resolve(__dirname, 'dist/bundles'),
        library: 'vidaooBrowser'
    },
		optimization: {
			minimizer: [new TerserPlugin({
				terserOptions: {
          format: {
            comments: banner,
          },
        },
				extractComments: false,
			})],
		},
    resolve: {
        extensions: [".ts", ".js"]
    },
    module: {
        rules: [
          { test: /\.ts$/, use: 'ts-loader' }
        ]
    },
    plugins: [
			new webpack.BannerPlugin({banner: banner})
    ]
};
