declare const processor = "\n\tclass VolumeDetector extends AudioWorkletProcessor {\n\t\tSMOOTHING_FACTOR = 0.8;\n\n\t\t_volume;\n\t\t_updateIntervalInMS;\n\t\t_nextUpdateFrame;\n\n\t\tconstructor () {\n\t\t\tsuper();\n\t\t\tthis._volume = 0;\n\t\t\tthis._updateIntervalInMS = 25;\n\t\t\tthis._nextUpdateFrame = this._updateIntervalInMS;\n\t\t\tthis.port.onmessage = event => {\n\t\t\t\tif (event.data.updateIntervalInMS)\n\t\t\t\t\tthis._updateIntervalInMS = event.data.updateIntervalInMS;\n\t\t\t}\n\t\t}\n\n\t\tget intervalInFrames () {\n\t\t\treturn this._updateIntervalInMS / 1000 * sampleRate;\n\t\t}\n\n\t\tprocess (inputs, outputs, parameters) {\n\t\t\t// samples: an array of bytes to manipulate\n\t\t\t// input: an array of samples. One input has multiple samples (mono has one samples, stereo has two samples, surround system has many samples). Audio from microphone has one samples\n\t\t\t// inputs: an array on input. 'process' method takes multiple inputs at the same time\n\t\t\n\t\t\tconst input = inputs[0];\n\n\t\t\t// Note that the input will be down-mixed to mono; however, if no inputs are\n\t\t\t// connected then zero channels will be passed in.\n\t\t\tif (input.length > 0) {\n\t\t\t\tconst samples = input[0];\n\t\t\t\tlet sum = 0;\n\t\t\t\tlet rms = 0;\n\n\t\t\t\t// Calculated the squared-sum.\n\t\t\t\tfor (let i = 0; i < samples.length; ++i)\n\t\t\t\t\tsum += samples[i] * samples[i];\n\n\t\t\t\t// Calculate the RMS level and update the volume.\n\t\t\t\trms = Math.sqrt(sum / samples.length);\n\t\t\t\tthis._volume = Math.max(rms, this._volume * this.SMOOTHING_FACTOR);\n\n\t\t\t\t// Update and sync the volume property with the main thread.\n\t\t\t\tthis._nextUpdateFrame -= samples.length;\n\t\t\t\tif (this._nextUpdateFrame < 0) {\n\t\t\t\t\tthis._nextUpdateFrame += this.intervalInFrames;\n\t\t\t\t\tthis.port.postMessage({volume: this._volume});\n\t\t\t\t}\n\t\t\t}\n\t\t\t\n\t\t\treturn true;\n\t\t}\n\t}\n\n\tregisterProcessor('volume-detector', VolumeDetector);\n";
export { processor };
